/*!
 * checksum
 * Copyright(c) 2013 Daniel D. Shaw <dshaw@dshaw.com>
 * MIT Licensed
 */


/**
 * Module dependencies
 */

var crypto = require('crypto')

/**
 * Exports
 */

module.exports = checksum

/**
 * Checksum
 */

function checksum (value, options) {
  options || (options = {})
  if (!options.algorithm) options.algorithm = 'sha1'

  var sha = crypto.createHash(options.algorithm)

  // Pre-streaming Crypto API node < v0.9
  if (!sha.write) {
    sha.update(value)
    return sha.digest('hex')
  } else {
    sha.setEncoding('hex')
    sha.end(value)
    return sha.read()
  }
}